LINUX.ORG.RU

nufraw 0.42 + gimp 2.10-9 (-git)

 , ,


0

2

Вот, скомпилял ветку gimp-2.10 (поверх новых babl + gegl тоже из git). Для сборки по крайней мере gegl + gimp нужен уже хотя g++/C поновее, чем у меня были в gcc 4.8/gcc 4.9 — пришлось собирать с помощью clang 7 (который из пакета llvm, который нужен для mesa).

В общем после утаскивания кучи пакетов в сырцах от slackware-current и их сборки (там сейчас *.la файлы убили, а у меня они частично ещё используются — было весело, особенно с двумя libpng: 1.4 и 1.6) наконец-то получилось почти как надо. Собрал ещё nufraw (https://sourceforge.net/p/nufraw/blog/), теперь открывает разные raw и даже в 16-бит на канал. Но при этом автоопределение svg отвалилось, и если выбрать опцию сохранять exif в tiff — то полученный файл как бы имеет две страницы, но открыть можно только первую (по крайней мере в самом Гимпе), вторая судя по всему — метаданные.

Но в целом работает шустро, даже для 32-битного варианта, особенно если дать использовать 3 Гб памяти (максимум на 32-битной платформе).

>>> Просмотр (2880x900, 2275 Kb)

★★

Проверено: JB ()
Ответ на: комментарий от AP

я конкретно уже очень давно забил на gimp. в итоге волосы мои пушистые и шелковистые, потому что не приходится их драть от отчаяния.

nufraw 0.42 + gimp 2.10-9 (-git)

crypt ★★★★★ ()
Последнее исправление: crypt (всего исправлений: 1)
Ответ на: комментарий от AP

Первоочередная задача разработчика — писать код, а не сборочки херачить.

В кровавом энтерпрайзе это одно и тоже. Плюс покрытие тестами и написание внутренней документации.

Если решение задачи требует либо костылей, либо бампа версии третьесторонней библиотеки, будет сделан бамп.

В том то и дело, что бампают по поводу и без оного. В энтерпрайзе если решил бампнуть, будь добр обеспечь сборку софтины напр. под Ubuntu 12.04 и бампай себе на здоровье (от поддержки Ubuntu 10.04 отказались буквально летом). И такая хрень не только в гимпе. Вот напр. в августе пришлось делать отдельный подпроект WiX.Py не потому что NIH, а потому что авторы wixl (родом из Редхата) ведут себя ровно также - собрать их софтину из сорцов можно только на самой свежей федорке (и то не факт).

А потом удивляемся, почему пользователей Linux стабильно 1%. Да потому что под венду изголяются и WinXP саппортить (2001го года), а Linux 16го года уже ппц какое старье и сборки под него моветон.

Гимп, кстати, саппортится под Win7 (2009й год) - какбэ немалый зазор для трудящихся.

Linfan ★★★★★ ()
Последнее исправление: Linfan (всего исправлений: 1)
Ответ на: комментарий от Linfan

В кровавом энтерпрайзе это одно и тоже.

В твоём кровавом энтерпрайзе, где есть девопсы и прочие интересные существа, программисты занимаются сборкой? Соболезную.

А потом удивляемся, почему пользователей Linux стабильно 1%.

Совсем не поэтому.

Да потому что под венду изголяются и WinXP саппортить (2001го года)

Ты очень давно не видел минимальные требования к фотошопу, иллюстратору и твоему любимому корелдро. Подсказываю: Microsoft Windows 7 with Service Pack 1, Windows 8.1, or Windows 10.

а Linux 16го года уже ппц какое старье и сборки под него моветон.

AppImage примерно под системы 2015-2016 года и собирают.

Гимп, кстати, саппортится под Win7 (2009й год)

Удивительная новость.

AP ★★★★★ ()
Ответ на: комментарий от AP

В твоём кровавом энтерпрайзе, где есть девопсы и прочие интересные существа, программисты занимаются сборкой? Соболезную.

У нас в клаудах все кодеры еще и девопсы - работа такое :)

Ты очень давно не видел минимальные требования к фотошопу...

Я не про коммерсов говорю, а про свободный софт - собирают под XP и еще и хвалятся «вон какое молоко моя корова дает»

AppImage примерно под системы 2015-2016 года и собирают.

Честно говоря, от этих костылей я не в восторге. Линуксячее приложение становится чужим и на своей родной платформе - медленный запуск, т.к. все либы тащит с собой. Ничем не лучше виндовых сборок.

Linfan ★★★★★ ()
Ответ на: комментарий от Linfan

Я не про коммерсов говорю, а про свободный софт - собирают под XP и еще и хвалятся «вон какое молоко моя корова дает»

Я таких давно не видел. Нас после релиза 2.10 кляли за то, что с апгрейдом до более нового glib отвалился XP, а Krita — за то же самое в ветке 4.х (Qt прекратил поддержку). Последнее с поддержкой XP, что мне попадалось — это Valentina (вот там Роман про это прямо чуть ли не с гордостью пишет, да).

Честно говоря, от этих костылей я не в восторге. Линуксячее приложение становится чужим и на своей родной платформе - медленный запуск, т.к. все либы тащит с собой.

Скорость запуска аппимиджа страдает скорее из-за распаковки образа. Впрочем, спорить не буду.

AP ★★★★★ ()
Ответ на: комментарий от AP

Скорость запуска аппимиджа страдает скорее из-за распаковки образа. Впрочем, спорить не буду.

И то и другое - sK1 на убунте стартует практически моментально, потому как кайро, гткшные либы, лцмс, питон уже стартовали и эти либы закешированы в памяти. Холодный старт на винде гораздо медленнее, потому как весь стек библиотек (кроме виджетов wx) чужеродный для системы.

Linfan ★★★★★ ()
Ответ на: комментарий от crypt

Поставить его скажем в дебиан8 армХФ да, сложно. Но взять и потыкать задача вполне себе на 2 часа.

kirill_rrr ★★★★★ ()
Ответ на: комментарий от kirill_rrr

что ты хотел сказать и причем здесь дебиан, я даже не понял. если хочешь возиться два часа, чтобы что-то «потыкать» 5 минут - дело твое.

crypt ★★★★★ ()
Ответ на: комментарий от crypt

Дебиан 8 (именно 8, олдстэйбл) здесь как пример нормального дистрибутива, совершенно не дружественного к свежему софту. А под архитектуру arm наверняка никто не удосужился собрать пакетов.

Если надо потыкать гимп 5 минут, то можно найти где нибудь комп с виндой и потыкать там. Если надо потыкать посерьёзнее, то надо потратить 2 часа, один из которых вполне можно потратить на лайв-флешку или виртуалку со свежим дистром.

kirill_rrr ★★★★★ ()
Последнее исправление: kirill_rrr (всего исправлений: 1)
Ответ на: комментарий от kirill_rrr

совершенно не дружественного к свежему софту.

с чего ты взял? дебиан олдстейбл только недавно получил апдейт 8u11, как и в убунту они подтягивают версии библиотек между минорными апдейтами, ломая совместимость с предыдущими релизами. этот случай с дистром 2015-2016 года как раз очень хорошо перекрывается appimage, про который в этом треде уже достаточно. так что твой дебиан олд-стейбл свежачок вполне себе. а вот на винде гимп и правда можно запустить на розливе 2007 года. тут как бы разница с твоим дебианов в 10 лет.

p.s.

nufraw 0.42 + gimp 2.10-9 (-git)

crypt ★★★★★ ()
Ответ на: комментарий от crypt

а вот на винде гимп и правда можно запустить на розливе 2007 года.

«Windows 7 Service Pack 1 (SP1) was announced on March 18, 2010.»

AP ★★★★★ ()
Ответ на: комментарий от crypt

дебиан не считался бы самым стабильным так долго, если бы подтягивал какие то новые библиотеки. Собственно я по пальцам могу пересчитать пакеты, версия которых обновлялась за весь цикл поддержки релиза. Файерфокс и дрова nvidia, больше ничего в голову не призодит. Ещё clamAV

Да, есть сид, анстэйбл, тэстинг и бэкпорты. Но все эти ветки это совсем другое.

А то что цикл поддержки у линуксов стал меньше винды, это да. Дебиан по меркам какой нибудь федоры или убунты ещё редкосный тормоз. Гимпа 2.10 в восьмёрке можно получить только ручками, зато я ещё год могу наслаждаться приложениями кде4 и не париться с современным глюкодромом.

kirill_rrr ★★★★★ ()
Последнее исправление: kirill_rrr (всего исправлений: 2)
Ответ на: комментарий от kirill_rrr

не считался бы самым стабильным так долго, если бы подтягивал какие то новые библиотеки.

хмм, я посмотрел, может быть ты и прав. действительно, с минорными апдейтами не подтягивают, но это объясняется коротким циклом жизни их релиза. тот же oldstable - ему всего 3 года. а шестому редхату уже лет 7, при том, что срок жизни заканчивается примерно одинаково.

так что appimage на нем взлетает как раз по причине относительной свежести. с той же ubuntu LTS могло быть больше проблем.

Дебиан по меркам какой нибудь федоры или убунты ещё редкосный тормоз.

у убунту общий срок поддержки больше.

crypt ★★★★★ ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)